/** ============================================================
 ** class_map.c
 ------------------------------------------------------------
 ** Role .......... : Les fonctions de map
 ** Auteur ........ : Loc Lt
 ** Mise  jour ... : 17/12/2017
 ** Version ....... : 1.1.0
 ===============================================================
 ** Note du Fichier :
 ---------------------------------------------------------------
 *

 =============================================================== **/

// ----------------------
// * Fichier d'include
// ----------------------
#include "header/main.h"


// --------------------------------------------------------------
// * draw_map_start()
//     Affichage  l'cran d'une nouvelle carte de jeu
// --------------------------------------------------------------
// * Map en mode test !!!
// --------------------------------------------------------------

void draw_map_start()
{
    // *************************************
    // * Dclaration des variables locales *
    // *************************************

    u8 tiles_X = 0;
    u8 tiles_Y = 0;

    // ********************************
    // * Affichage de la carte du jeu *
    // ********************************

    for(tiles_Y=0;tiles_Y<15;tiles_Y++)
    {
        for(tiles_X=0;tiles_X<17;tiles_X++)
        {
            VDP_fillTileMapRectInc(PLAN_A,1,( tiles_X * 2 )&63,( tiles_Y * 2) &31,2,2);
        }

    }

}



// --------------------------------------------------------------
// * draw_left_map()
//     Pose des tiles  Gauche de l'cran
// --------------------------------------------------------------
// * Map en mode test !!!
// --------------------------------------------------------------



void draw_left_map(u8 x_offset,u8 y_offset)
{

    // *************************************
    // * Dclaration des variables locales *
    // *************************************


    u8 tiles_Y=0;


    // ********************************
    // * Affichage de la carte du jeu *
    // ********************************

    for(tiles_Y=0;tiles_Y<16;tiles_Y++)
    {

        VDP_fillTileMapRectInc(PLAN_A,1,( -2 + x_offset * 2 )&63,( tiles_Y *2 + y_offset *2 ) &31,2,2);
    }

}


// --------------------------------------------------------------
// * draw_right_map()
//     Pose des tiles  droite de l'cran
// --------------------------------------------------------------
// * Map en mode test !!!
// --------------------------------------------------------------


void draw_right_map(u8 x_offset,u8 y_offset)
{

    // *************************************
    // * Dclaration des variables locales *
    // *************************************


    u8 tiles_Y=0;


    // ********************************
    // * Affichage de la carte du jeu *
    // ********************************

    for(tiles_Y=0;tiles_Y<16;tiles_Y++)
    {

        VDP_fillTileMapRectInc(PLAN_A,1,( 32 + x_offset * 2 )&63,( tiles_Y * 2 + y_offset * 2) &31,2,2);


    }

}


// --------------------------------------------------------------
// * draw_up_map()
//     Pose des tiles  dessus de l'cran
// --------------------------------------------------------------
// * Map en mode test !!!
// --------------------------------------------------------------


void draw_up_map(u8 x_offset,u8 y_offset)
{

    // *************************************
    // * Dclaration des variables locales *
    // *************************************


    u8 tiles_X=0;


    // ********************************
    // * Affichage de la carte du jeu *
    // ********************************

    for(tiles_X=0;tiles_X<16;tiles_X++)
    {

        VDP_fillTileMapRectInc(PLAN_A,1,(tiles_X * 2 + x_offset * 2 )&63,( -2 + y_offset *2 ) &31,2,2);


    }

}



// --------------------------------------------------------------
// * draw_dorn_map()
//     Pose des tiles en bas de l'cran
// --------------------------------------------------------------
// * Map en mode test !!!
// --------------------------------------------------------------

void draw_down_map(u8 x_offset,u8 y_offset)
{

    // *************************************
    // * Dclaration des variables locales *
    // *************************************


    u8 tiles_X = 0;


    // ********************************
    // * Affichage de la carte du jeu *
    // ********************************

    for(tiles_X=0;tiles_X<16;tiles_X++)
    {

        VDP_fillTileMapRectInc(PLAN_A,1,(tiles_X * 2 + x_offset * 2 ) &63,( 28 + y_offset * 2 )&31,2,2);


    }

}

